org.eclipse.net4j.util.transaction

## Interface ITransactionalOperation<CONTEXT>

-     public interface ITransactionalOperation<CONTEXT>

  Author:
    Eike Stepper

- - ### Method Summary

    All Methods Instance Methods Abstract Methods
    Modifier and Type | Method and Description
    --- | ---
    `void` | `phase1(CONTEXT context)`
    `void` | `phase2(CONTEXT context)`
    `void` | `undoPhase1(CONTEXT context)`

- - ### Method Detail

    - #### phase1

          void phase1(CONTEXT context)
               throws java.lang.Exception

      Throws:
        `java.lang.Exception`

    - #### phase2

          void phase2(CONTEXT context)

    - #### undoPhase1

          void undoPhase1(CONTEXT context)

Copyright (c) 2004-2019 Eike Stepper (Loehne, Germany) and others.
All rights reserved. This program and the accompanying materials are made available under the terms of the Eclipse Public License v1.0 which accompanies this distribution, and is available at http://www.eclipse.org/legal/epl-v10.html